Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::UTF8Encoder Class Reference

`#include <UTF8Stream.h>`

Inheritance diagram for Lucene::UTF8Encoder:

## Public Member Functions

| UTF8Encoder (const wchar_t *unicodeBegin, const wchar_t *unicodeEnd)
virtual | ~UTF8Encoder ()
virtual String | getClassName ()
boost::shared_ptr< UTF8Encoder > | shared_from_this ()
int32_t | encode (uint8_t *utf8, int32_t length)
int32_t | utf16to8 (uint8_t *utf8, int32_t length)
int32_t | utf32to8 (uint8_t *utf8, int32_t length)
Public Member Functions inherited from Lucene::UTF8Base
virtual | ~UTF8Base ()
boost::shared_ptr< UTF8Base > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::UTF8Base
static String | _getClassName ()

## Protected Member Functions

virtual uint32_t | readNext ()
uint8_t * | appendChar (uint8_t *utf8, uint32_t cp)
Protected Member Functions inherited from Lucene::UTF8Base
uint8_t | mask8 (uint32_t b)
uint16_t | mask16 (uint32_t c)
bool | isTrail (uint32_t b)
bool | isSurrogate (uint32_t cp)
bool | isLeadSurrogate (uint32_t cp)
bool | isTrailSurrogate (uint32_t cp)
bool | isValidCodePoint (uint32_t cp)
bool | isOverlongSequence (uint32_t cp, int32_t length)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

const wchar_t * | unicodeBegin
const wchar_t * | unicodeEnd
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Static Public Attributes inherited from Lucene::UTF8Base
static const uint16_t | LEAD_SURROGATE_MIN
static const uint16_t | LEAD_SURROGATE_MAX
static const uint16_t | TRAIL_SURROGATE_MIN
static const uint16_t | TRAIL_SURROGATE_MAX
static const uint16_t | LEAD_OFFSET
static const uint32_t | SURROGATE_OFFSET
static const uint32_t | CODE_POINT_MAX
static const wchar_t | UNICODE_REPLACEMENT_CHAR
static const wchar_t | UNICODE_TERMINATOR

## Constructor & Destructor Documentation

## ◆ UTF8Encoder()

Lucene::UTF8Encoder::UTF8Encoder | ( | const wchar_t * | unicodeBegin,
|  | const wchar_t * | unicodeEnd
| ) |  |

## ◆ ~UTF8Encoder()

virtual Lucene::UTF8Encoder::~UTF8Encoder | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::UTF8Encoder::_getClassName | ( |  | ) |

inline static

## ◆ appendChar()

uint8_t* Lucene::UTF8Encoder::appendChar | ( | uint8_t * | utf8,
|  | uint32_t | cp
| ) |  |

protected

## ◆ encode()

int32_t Lucene::UTF8Encoder::encode | ( | uint8_t * | utf8,
|  | int32_t | length
| ) |  |

## ◆ getClassName()

virtual String Lucene::UTF8Encoder::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::UTF8Base.

Reimplemented in Lucene::UTF8EncoderStream.

## ◆ readNext()

virtual uint32_t Lucene::UTF8Encoder::readNext | ( |  | ) |

protected virtual

Implements Lucene::UTF8Base.

Reimplemented in Lucene::UTF8EncoderStream.

## ◆ shared_from_this()

boost::shared_ptr< UTF8Encoder > Lucene::UTF8Encoder::shared_from_this | ( |  | ) |

inline

## ◆ utf16to8()

int32_t Lucene::UTF8Encoder::utf16to8 | ( | uint8_t * | utf8,
|  | int32_t | length
| ) |  |

## ◆ utf32to8()

int32_t Lucene::UTF8Encoder::utf32to8 | ( | uint8_t * | utf8,
|  | int32_t | length
| ) |  |

## Field Documentation

## ◆ unicodeBegin

const wchar_t* Lucene::UTF8Encoder::unicodeBegin

protected

## ◆ unicodeEnd

const wchar_t* Lucene::UTF8Encoder::unicodeEnd

protected

The documentation for this class was generated from the following file:

- UTF8Stream.h

clucene.sourceforge.net